Subject: Re: bug#68765: 30.0.50; Adding window-tool-bar package.

From: Jared Finder <[email-masked]>
Date: Tue, 26 Mar 2024 08:33:22 -0700

It's been four weeks and I've seen no reply to these updated patches.  
Are you able to review?

On 2024-02-26 19:02, Jared Finder wrote:
> On 2024-02-11 12:51, Philip Kaludercic wrote:
>> Here are a few comments from a quick skim:
> 
> Comments addressed.  New patches for 0002 and 0003 added.  I also 
> addressed Eli's comments from 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68765#10 as well.
> 
> The following comment was not addressed:
> 
>>> +(defun window-tool-bar-show-memory-use ()
>>> +  "Pop up a window showing the memory use metrics."
>>> +  (interactive)
>>> +  (require 'time-stamp)
>>> +  (save-selected-window
>>> +    (pop-to-buffer "*WTB Memory Report*")
>> 
>> I think you should rewrite this as
>> 
>> (with-current-buffer (get-buffer "...")
>>   ;; ...
>>   (pop-to-buffer (current-buffer))
> 
> I couldn't make this change and keep the current behavior that is 
> important to me:
> 
> 1. The window with focus should not change.
> 2. The buffer should get scrolled to the bottom to displayed the newly 
> inserted text.
> 
>   -- MJF